Package org.apache.nutch.service.impl

## Class JobFactory

- java.lang.Object
- - org.apache.nutch.service.impl.JobFactory

-     public class JobFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NutchTool` | `createToolByClassName​(String className, Configuration conf)` |
    `NutchTool` | `createToolByType​(JobManager.JobType type, Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobFactory

          public JobFactory()

  - ### Method Detail

    - #### createToolByType

          public NutchTool createToolByType​(JobManager.JobType type,
                                            Configuration conf)

    - #### createToolByClassName

          public NutchTool createToolByClassName​(String className,
                                                 Configuration conf)